    /*

    Siesta 5.3.0
    Copyright(c) 2009-2019 Bryntum AB
    https://bryntum.com/contact
    https://bryntum.com/products/siesta/license

    */
    Class('Siesta.Content.Manager.NodeJS', {

        isa     : Siesta.Content.Manager,

        methods : {

            load : function (url, callback, errback) {

                try {
                    var content = require('fs').readFileSync(url, 'utf8')

                } catch (e) {
                    errback(e)

                    return
                }

                callback(content)
            }
        }
    })